{
  Simple native Delphi project demo.
  It shows you how to setup pdScript IDE to work with Delphi compiler.
  
  1) Select the dcc32.exe as a compiler for the script (Options -> Coding Scheme -> Compiler file name).
     ie. C:\Program Files\Delphi\bin\DCC32.EXE

  2) Set the compiler command-line parameters.
     ie. /M /Q "%1"
     
     %1 will be substituted with current script file name
     
  3) Check the option "Run compiled script as a standalone EXE" in Options -> Run parameters
  
  4) Compile and run this script
  
  If you are creating a console mode application, add the "%3" string to the 
  "Run parameters -> Command-line parameters" field in Options. 
  Then pdScript IDE passes a temporary log file name to your program. After the program exits, 
  pdScript IDE will read the output. Of course, you have to write something to that file.
      
}

program ConsoleDemo;

{$APPTYPE CONSOLE}

uses
  SysUtils;
  
var
  s:string;
  
begin
  writeln('Type text:');
  Readln(s);

  writeln('');
  writeln('Upper case: '+UpperCase(s));
  writeln('Lower case: '+LowerCase(s));

  writeln('');
  writeln('Press ENTER to quit.');
  Readln(s);  
end.